読者です 読者をやめる 読者になる 読者になる

c4se記:さっちゃんですよ☆

.。oO(さっちゃんですよヾ(〃l _ l)ノ゙☆)

.。oO(此のblogは、主に音樂考察Programmingに分類されますよ。ヾ(〃l _ l)ノ゙♬♪♡

音樂はSoundCloud等バラバラの場所に公開中です。申し訳ないがlinkをたどるなどして探してください。

考察は現在は主に此のblogで公表中です。

programmingは、ひろくみせるものはGitHubで、個人的なものはBitBucketで開発中です。

c4se

UbuntuにErlang/OTP R16をinstallする

Programming Erlang Elixir

Elixirの為に。
直ぐに陳腐に成る記述をする。
Ubuntu 13.04のaptに登録されてゐるerlang packageは現在R14或いはR15と古く、最新のElixirが動かない。erlangをsourceからbuildするのは依存関係の解決が面倒なので、其れを簡単にする。
先ずversionの古いerlangを、aptからinstallする。此れで依存関係は大抵解決する。其の後、Erlang/OTPのsourceをmakeすれば好い。
libncursesのinstall丈、別途必要であった。
commandを纏めると、以下に成る。

sudo aptitude install erlang
sudo aptitude install libncurses5-dev
wget http://www.erlang.org/download/otp_src_R16B01.tar.gz
tar zxvf otp_src_R16B01.tar.gz
cd otp_src_R16B01
./configure
make
sudo make install

Debian (7, wheezy) も一緒。
因みにrepositoryを追加すればaptでも入る。
cf. Download Erlang OTP | Erlang Solutions https://www.erlang-solutions.com/downloads/download-erlang-otp
頑張れ。




ところでElixir素晴らしい。